package jalview.datamodel;

public class DynamicData
{

  private String fieldTitle;

  private String fieldValue;

  private DataType dataType;

  private String source;

  private Boolean display;

  public enum DataType
  {
    N("Number"), S("String"), B("Boolean");

    private String name;

    DataType(String name)
    {
      this.setName(name);
    }

    public String getName()
    {
      return name;
    }

    public void setName(String name)
    {
      this.name = name;
    }
  }

  public DynamicData(String fieldTitle, String fieldValue,
          DataType dataType, String source, Boolean display)
  {
    this.fieldTitle = fieldTitle;
    this.fieldValue = fieldValue;
    this.dataType = dataType;
    this.source = source;
    this.display = display;
  }

  public String getFieldTitle()
  {
    return fieldTitle;
  }

  public void setFieldTitle(String fieldTitle)
  {
    this.fieldTitle = fieldTitle;
  }

  public String getSource()
  {
    return source;
  }

  public void setSource(String source)
  {
    this.source = source;
  }

  public DataType getDataType()
  {
    return dataType;
  }

  public void setDataType(DataType dataType)
  {
    this.dataType = dataType;
  }

  public String getFieldValue()
  {
    return fieldValue;
  }

  public void setFieldValue(String fieldValue)
  {
    this.fieldValue = fieldValue;
  }

  public Boolean isDisplay()
  {
    return display;
  }

  public void setDisplay(Boolean display)
  {
    this.display = display;
  }
}
